const { createDirectory, createFile, createJsonFile } = require('./tools')
const packageContent = require('../generators/genPackage')
const indexContent = require('../generators/genIndex')
const apiContent = require('../generators/genApi')
const dbContent = require('../generators/genDatabase')
const empModelContent = require('../generators/genEmpModel')
const empControllerContent = require('../generators/genEmpController')
const envContent = require('../generators/genEnv')
const envExampleContent = require('../generators/genEnvExample')

const init = () => {
    console.log('Init ...')
    createDirectory('app')
    createDirectory('app/routes')
    createDirectory('app/controllers')
    createDirectory('app/models')
    createDirectory('app/database')
    createJsonFile('package.json', packageContent)
    createFile('app/index.js', indexContent)
    createFile('app/routes/api.js', apiContent)
    createFile('app/database/database.js', dbContent)
    createFile('app/models/employee.js', empModelContent)
    createFile('app/controllers/employeecontroller.js', empControllerContent)
    createFile('.env', envContent)
    createFile('.env.example', envExampleContent)
}

module.exports.init = init;
